## Interface Swift_KeyCache

(line 20)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/KeyCache.php

##### Provides a mechanism for storing data using two keys.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:
MODE_APPEND
MODE_WRITE

#### MODE_APPEND = 2 (line 27)

##### Mode for appending data to the end of existing cached data

#### MODE_WRITE = 1 (line 24)

##### Mode for replacing existing cached data

## Method Detail

Summary:
void clearAll (string $nsKey)
void clearKey (string $nsKey, string $itemKey)
void exportToByteStream (string $nsKey, string $itemKey, Swift_InputByteStream $is)
Swift_InputByteStream getInputByteStream (string $nsKey, string $itemKey, [Swift_InputByteStream $is = null], Swift_InputByteStream $is,)
string getString (string $nsKey, string $itemKey)
boolean hasKey (string $nsKey, string $itemKey)
void importFromByteStream (string $nsKey, string $itemKey, Swift_OutputByteStream $os, int $mode)
void setString (string $nsKey, string $itemKey, string $string, int $mode)

#### Method clearAll (line 97)

#### void clearAll( string $nsKey)

##### Clear all data in the namespace $nsKey if it exists.

#### Parameters

- string $nsKey:

#### Info

- access - public

#### Method clearKey (line 91)

#### void clearKey( string $nsKey, string $itemKey)

##### Clear data for $itemKey in the namespace $nsKey if it exists.

#### Parameters

- string $nsKey:
- string $itemKey:

#### Info

- access - public

#### Method exportToByteStream (line 76)

#### void exportToByteStream( string $nsKey, string $itemKey, Swift_InputByteStream $is)

##### Get data back out of the cache as a ByteStream.

#### Parameters

- string $nsKey:
- string $itemKey:
- Swift_InputByteStream $is: to write the data to

#### Info

- access - public

#### Method getInputByteStream (line 59)

#### Swift_InputByteStream getInputByteStream( string $nsKey, string $itemKey, [Swift_InputByteStream $is = null], Swift_InputByteStream $is,)

##### Provides a ByteStream which when written to, writes data to $itemKey.

NOTE: The stream will always write in append mode. If the optional third parameter is passed all writes will go through $is.

#### Parameters

- string $nsKey:
- string $itemKey:
- Swift_InputByteStream $is,: optional
- Swift_InputByteStream $is:

#### Info

- access - public

#### Method getString (line 68)

#### string getString( string $nsKey, string $itemKey)

##### Get data back out of the cache as a string.

#### Parameters

- string $nsKey:
- string $itemKey:

#### Info

- access - public

#### Method hasKey (line 84)

#### boolean hasKey( string $nsKey, string $itemKey)

##### Check if the given $itemKey exists in the namespace $nsKey.

#### Parameters

- string $nsKey:
- string $itemKey:

#### Info

- access - public

#### Method importFromByteStream (line 47)

#### void importFromByteStream( string $nsKey, string $itemKey, Swift_OutputByteStream $os, int $mode)

##### Set a ByteStream into the cache under $itemKey for the namespace $nsKey.

#### Parameters

- string $nsKey:
- string $itemKey:
- Swift_OutputByteStream $os:
- int $mode:

#### Info

- see - Swift_KeyCache::MODE_WRITE, Swift_KeyCache::MODE_APPEND
- access - public

#### Method setString (line 37)

#### void setString( string $nsKey, string $itemKey, string $string, int $mode)

##### Set a string into the cache under $itemKey for the namespace $nsKey.

#### Parameters

- string $nsKey:
- string $itemKey:
- string $string:
- int $mode:

#### Info

- see - Swift_KeyCache::MODE_WRITE, Swift_KeyCache::MODE_APPEND
- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:23 +0000 by phpDocumentor 1.4.3